Debian Bug report logs - #470729
groff-base: should depend on groff for an-ext.tmac

version graph

Package: groff-base; Maintainer for groff-base is Colin Watson <cjwatson@debian.org>; Source for groff-base is src:groff.

Reported by: Paul Wise <pabs@debian.org>

Date: Thu, 13 Mar 2008 09:03:19 UTC

Severity: normal

Found in version groff/1.18.1.1-18

Fixed in version groff/1.18.1.1-19

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Colin Watson <cjwatson@debian.org>:
Bug#470729; Package groff-base. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Colin Watson <cjwatson@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: groff-base: should depend on groff for an-ext.tmac
Date: Thu, 13 Mar 2008 18:00:06 +0900
[Message part 1 (text/plain, inline)]
Package: groff-base
Version: 1.18.1.1-18
Severity: normal

Lintian gives me this warning:

W: synfigstudio: manpage-has-errors-from-man usr/share/man/man1/synfigstudio.1.gz 583: can't find macro file `an-ext.tmac'

The reason for this is this man warning:

/usr/share/groff/1.18.1/tmac/an-old.tmac:583: can't find macro file `an-ext.tmac'

I don't have groff installed (but I do have groff-based installed for
man-db), so I always get this lintian warning now. It would be nice if
this were fixed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#470729; Package groff-base. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 470729@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Paul Wise <pabs@debian.org>, 470729@bugs.debian.org
Subject: Re: Bug#470729: groff-base: should depend on groff for an-ext.tmac
Date: Thu, 13 Mar 2008 10:28:36 +0000
On Thu, Mar 13, 2008 at 06:00:06PM +0900, Paul Wise wrote:
> Package: groff-base
> Version: 1.18.1.1-18
> Severity: normal
> 
> Lintian gives me this warning:
> 
> W: synfigstudio: manpage-has-errors-from-man usr/share/man/man1/synfigstudio.1.gz 583: can't find macro file `an-ext.tmac'
> 
> The reason for this is this man warning:
> 
> /usr/share/groff/1.18.1/tmac/an-old.tmac:583: can't find macro file `an-ext.tmac'
> 
> I don't have groff installed (but I do have groff-based installed for
> man-db), so I always get this lintian warning now. It would be nice if
> this were fixed.

Argh. No, an-ext should be in groff-base actually. I'll fix that right
away, thanks.

-- 
Colin Watson                                       [cjwatson@debian.org]




Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 470729-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 470729-close@bugs.debian.org
Subject: Bug#470729: fixed in groff 1.18.1.1-19
Date: Thu, 13 Mar 2008 12:17:05 +0000
Source: groff
Source-Version: 1.18.1.1-19

We believe that the bug you reported is fixed in the latest version of
groff, which is due to be installed in the Debian FTP archive:

groff-base_1.18.1.1-19_i386.deb
  to pool/main/g/groff/groff-base_1.18.1.1-19_i386.deb
groff_1.18.1.1-19.diff.gz
  to pool/main/g/groff/groff_1.18.1.1-19.diff.gz
groff_1.18.1.1-19.dsc
  to pool/main/g/groff/groff_1.18.1.1-19.dsc
groff_1.18.1.1-19_i386.deb
  to pool/main/g/groff/groff_1.18.1.1-19_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470729@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated groff package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 13 Mar 2008 10:28:58 +0000
Source: groff
Binary: groff-base groff
Architecture: source i386
Version: 1.18.1.1-19
Distribution: unstable
Urgency: low
Maintainer: Colin Watson <cjwatson@debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 groff      - GNU troff text-formatting system
 groff-base - GNU troff text-formatting system (base system components)
Closes: 470729
Changes: 
 groff (1.18.1.1-19) unstable; urgency=low
 .
   * Add an-ext.tmac to groff-base (closes: #470729).
Files: 
 9f373b4e230077b1dfba51beb1affe27 777 text important groff_1.18.1.1-19.dsc
 a9e0ff8cb3b4950ea24ccea3a5f22882 133358 text important groff_1.18.1.1-19.diff.gz
 74fbfbda8f8b08450f740c7bf8eaf2c1 845532 text important groff-base_1.18.1.1-19_i386.deb
 20d6c874133bb870a71592d169a9e128 1909860 text optional groff_1.18.1.1-19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFH2Rhg9t0zAhD6TNERAgMWAJ9E3soLFOEidZtGv1gfZEI5t1RF+QCfdedZ
5YZJN6xbpzsTQsk4JybTQ1w=
=ny0X
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Apr 2008 07:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:11:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.